# Interface methods for submodule: RegionOfInterestImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: RegionOfInterestImageFilter
class RegionOfInterestImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetRegionOfInterest(self, _arg: ImageRegion) -> None:
		""""""
		...

	def GetRegionOfInterest(self) -> ImageRegion:
		""""""
		...

